$(function() {
  $("#registrationForm").submit(function (event) {
    var errors = [];

    if (!$(this.name).val()) {
      errors.push("<li>Podanie imienia jest wymagane.</li>");
      $(this.name).parents("div.required").addClass("error");
      event.preventDefault();
    }

    if (!$("input[name='gender']:checked", this).length) {
      errors.push("<li>Podanie płci jest wymagane.</li>");
      $("input[name='gender']", this).parents("div.required").addClass("error");
      event.preventDefault();
    }

    if (errors.length > 0) {
      $(this).prepend("<div class='errors'>Musisz "
        + "poprawić wymienione poniżej błędy:<ul>"
        + errors.join("") + "</ul></div>");
    }
  });
});
